Loading...
Searching...
No Matches
Client diff functionality
Client supporting subsystem

Client diff. More...

## Data Structures

struct | svn_client_diff_summarize_t
| A struct that describes the diff of an item. More...

## Typedefs

typedef enum svn_client_diff_summarize_kind_t | svn_client_diff_summarize_kind_t
| The difference type in an svn_diff_summarize_t structure.
typedef struct svn_client_diff_summarize_t | svn_client_diff_summarize_t
| A struct that describes the diff of an item.
typedef svn_error_t *(* | svn_client_diff_summarize_func_t) (const svn_client_diff_summarize_t *diff, void *baton, apr_pool_t *pool)
| A callback used in svn_client_diff_summarize2() and svn_client_diff_summarize_peg2() for reporting a diff summary.

## Enumerations

enum | svn_client_diff_summarize_kind_t { svn_client_diff_summarize_kind_normal , svn_client_diff_summarize_kind_added , svn_client_diff_summarize_kind_modified , svn_client_diff_summarize_kind_deleted }
| The difference type in an svn_diff_summarize_t structure. More...

## Functions

svn_client_diff_summarize_t * | svn_client_diff_summarize_dup (const svn_client_diff_summarize_t *diff, apr_pool_t *pool)
| Return a duplicate of diff, allocated in pool.

## Detailed Description

Client diff.

## Typedef Documentation

## svn_client_diff_summarize_func_t

typedef svn_error_t *(* svn_client_diff_summarize_func_t) (const svn_client_diff_summarize_t *diff, void *baton, apr_pool_t *pool)

A callback used in svn_client_diff_summarize2() and svn_client_diff_summarize_peg2() for reporting a diff summary.

All allocations should be performed in pool.

baton is a closure object; it should be provided by the implementation, and passed by the caller.

Since
  New in 1.4.

Definition at line 934 of file svn_client.h.

## svn_client_diff_summarize_kind_t

typedef enum svn_client_diff_summarize_kind_t svn_client_diff_summarize_kind_t

The difference type in an svn_diff_summarize_t structure.

Since
  New in 1.4.

## svn_client_diff_summarize_t

typedef struct svn_client_diff_summarize_t svn_client_diff_summarize_t

A struct that describes the diff of an item.

Passed to svn_client_diff_summarize_func_t.

Note
  Fields may be added to the end of this structure in future versions. Therefore, users shouldn't allocate structures of this type, to preserve binary compatibility.

Since
  New in 1.4.

## Enumeration Type Documentation

## svn_client_diff_summarize_kind_t

enum svn_client_diff_summarize_kind_t

The difference type in an svn_diff_summarize_t structure.

Since
  New in 1.4.

Enumerator
svn_client_diff_summarize_kind_normal | An item with no text modifications.
svn_client_diff_summarize_kind_added | An added item.
svn_client_diff_summarize_kind_modified | An item with text modifications.
svn_client_diff_summarize_kind_deleted | A deleted item.

Definition at line 871 of file svn_client.h.

## Function Documentation

## svn_client_diff_summarize_dup()

svn_client_diff_summarize_t * svn_client_diff_summarize_dup | ( | const svn_client_diff_summarize_t * | diff,
|  | apr_pool_t * | pool )

Return a duplicate of diff, allocated in pool.

No part of the new structure will be shared with diff.

Since
  New in 1.4.